The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> btowc - single byte to wide character conversion

#### SYNOPSIS

> ``#include <stdio.h>
> #include <wchar.h>
> wint_t btowc(int` c`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of POSIX.1-2008 defers to the ISO C standard.

> The btowc() function shall determine whether c constitutes a valid (one-byte) character in the initial shift state.

> The behavior of this function shall be affected by the LC_CTYPE category of the current locale.

#### RETURN VALUE

> The btowc() function shall return WEOF if c has the value EOF or if (unsigned char) c does not constitute a valid (one-byte) character in the initial shift state. Otherwise, it shall return the wide-character representation of that character.

> [CX] In the POSIX locale, btowc() shall not return WEOF if c has a value in the range 0 to 255 inclusive.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> wctob

> XBD <stdio.h>, <wchar.h>

#### CHANGE HISTORY

> First released in Issue 5. Included for alignment with ISO/IEC 9899:1990/Amendment 1:1995 (E).

#### Issue 7

> POSIX.1-2008, Technical Corrigendum 2, XSH/TC2-2008/0052 [663] is applied.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]